{% extends 'base.html.twig' %}

{% block title %}parrain{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="mb-0">الكافل</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">الصفحة الرئيسية</a></li>
                        <li class="breadcrumb-item active">الكافل</li>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-3 col-xxl-12 mb-3 pr-md-2">
            <div class="card card-body text-center">
                <h4 class="card-title mt-0">الكافل رقم : {{ parrain.id }}</h4>

                <a href="{{ path('parrains_edit', { 'id': parrain.id }) }}"
                   class="btn btn-outline-warning waves-effect waves-light">
                    تعديل<i class="uil uil-arrow-right ml-2"></i>
                </a>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">

                    <div class="row mb-3">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="validationCustom03">التاريخ</label>
                                <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                    {{ parrain.date|date("d/m/Y") }}
                                </p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="validationCustom04"> اسم الكافل</label>
                                <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                    {{ parrain.nom }}
                                </p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="validationCustom05">الهاتف </label>
                                <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                    {{ parrain.tele }}
                                </p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="validationCustom05"> البريد الاكتروني</label>
                                <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                    {{ parrain.email }}
                                </p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="validationCustom05">قيمة الكفالة الشهرية</label>
                                <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                    {{ parrain.prix }}
                                </p>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="validationCustom05"> تاريخ بدء الكفالة</label>
                                <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                    {{ parrain.dateDebut|date('d/m/Y') }}
                                </p>
                            </div>
                        </div>
                        {% if parrain.dateFin is defined %}
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="validationCustom05"> تاريخ إنتهاء الكفالة</label>
                                <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                    {{ parrain.dateFin|date('d/m/Y') }}
                                </p>
                            </div>
                        </div>
                        {% endif %}
                        {% if parrain.problemePause is defined %}
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="validationCustom05">سبب التوقف</label>
                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                        {{ parrain.problemePause }}
                                    </p>
                                </div>
                            </div>
                        {% endif %}
                    </div>


                </div>
            </div>
        </div> <!-- end col -->
    </div>
    <div class="col-sm-3" id="alert">
        <div class="alert alert-success alert-dismissible fade show mt-4 px-4 mb-0 text-center" role="alert">
            <i class="uil uil-check-circle d-block display-4 mt-2 mb-3 text-success"></i>
            <h5 class="text-success">Success</h5>
            <p>A simple success alert</p>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">×</span>
            </button>
        </div>
    </div>

    {% if parrain.dossier|length>0 %}
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="mb-0">العائلات المكفولة</h4>
                </div>
            </div>
        </div>
        <div class="row">

            {% for dossier in  parrain.dossier %}
                <div class="col-xl-3 col-sm-6">
                    <div class="card text-center">
                        <div class="card-body">

                            <div class="clearfix"></div>
                            <div class="mb-4 text-center">
                                {% if dossier.picturesPereMoert | length > 0 %}
                                    {% for picture in dossier.picturesPereMoert|slice(0, 1) %}
                                        <div data-bg-src="{{ asset('upload/Pictures/' ~ picture.nom) }}"
                                             style="width: 100%"
                                             class=" h-15rem avatar-lg img-fluid img-thumbnail" alt=""></div>
                                    {% endfor %}
                                    {% else %}
                                        <div data-bg-src=""
                                             style="width: 100%"
                                             class=" h-15rem avatar-lg img-fluid img-thumbnail" alt=""></div>
                                {% endif %}

                            </div>
                            <h5 class="font-size-16 mb-1"><a href="{{ path('dossier_show',{'id': dossier.id}) }}"
                                                             class="text-dark">{{ dossier.familleNom }}</a></h5>
                            <p class="text-muted mb-2">{{ dossier.region }}</p>

                        </div>

                        <div class="btn-group" role="group">
                            <a href="{{ path('dossier_show',{'id': dossier.id}) }}" class="btn btn-primary waves-effect waves-light text-truncate"> <i
                                        class="uil uil-user mr-1"></i> الملف </a>
                            <a href="{{ path('parrain_deleted_doss',{'id': dossier.id ,'uiid': parrain.id  }) }}" class="btn btn-danger waves-effect waves-light text-truncate" onclick="return confirm('هل تريد إزالة الكفالة?')"> <i
                                        class="uil uil-user mr-1"></i> حدف </a>
                            <button type="button" class="btn btn-primary waves-effect waves-light btn-save" name="create" value="{{random()}}"
                                    data-dossier-id="{{dossier.id}}" data-parrain-id="{{ parrain.id }}" >شهر الكفالة</button>


                        </div>
                    </div>
                </div>

            {% endfor %}
        </div>

    {% endif %}


    {% if parrain.orpheline|length>0 %}
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="mb-0">الايتام المكفولين</h4>
                </div>
            </div>
        </div>
        <div class="row">
            {% for orph in  parrain.orpheline %}
                <div class="col-xl-3 col-sm-6">
                    <div class="card text-center">
                        <div class="card-body">
                            <div class="clearfix"></div>
                            <div class="mb-4 text-center">
                                {% if orph.pictures | length > 0 %}
                                    {% for picture in orph.pictures|slice(0, 1) %}
                                        <div data-bg-src="{{ asset('upload/Pictures/' ~ picture.nom) }}"
                                             style="width: 100%"
                                             class=" h-15rem avatar-lg img-fluid img-thumbnail" alt=""></div>
                                    {% endfor %}
                                {% else %}
                                    <div data-bg-src=""
                                         style="width: 100%"
                                         class=" h-15rem avatar-lg img-fluid img-thumbnail" alt=""></div>
                                {% endif %}

                            </div>
                            <h5 class="font-size-16 mb-1"><a href="{{ path('dossier_show',{'id': orph.id}) }}"
                                                             class="text-dark">{{ orph.nom }} {{ orph.prenom }}</a></h5>
                            <p class="text-muted mb-2">{{ orph.dossier.region }}</p>

                        </div>

                        <div class="btn-group" role="group">
                            <a href="{{ path('dossier_show', {'id':orph.dossier.id,'orpheline_id':orph.id,'action':'line_show' }) }}" class="btn btn-primary waves-effect waves-light text-truncate"> <i
                                        class="uil uil-user mr-1"></i> اليتيم </a>
                            <a href="{{ path('parrain_deleted_orpheline',{'id': orph.id ,'uiid': parrain.id  }) }}" class="btn btn-danger waves-effect waves-light text-truncate" onclick="return confirm('هل تريد إزالة الكفالة?')"> <i
                                        class="uil uil-user mr-1"></i> حدف </a>
                            {#<button type="button" class="btn btn-primary waves-effect waves-light btn-save" name="create" value="{{random()}}"
                                    data-dossier-id="{{dossier.id}}" data-parrain-id="{{ parrain.id }}" >شهر الكفالة</button>

#}
                        </div>
                    </div>
                </div>

            {% endfor %}
        </div>

    {% endif %}


    <div class="row">
        <h3>الشهور التي تكفل بيها الكفيل</h3>
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table id="" class="table table-striped table-bordered dt-responsive nowrap datatable-buttons" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr>
                            <th>التاريخ</th>
                            <th>الاسم العائلي</th>
                            <th>المنطقة</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for parrain in historique %}
                            <tr>
                                <td>{{ parrain.date ? parrain.date|date('Y-m-d') : '' }}</td>
                                <td>{{ parrain.dossier.familleNom }}</td>
                                <td>{{ parrain.dossier.region }}</td>
                            </tr>
                        {% else %}
                            <tr>
                                <td colspan="11"></td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>


        </div>

    </div>

    <script>
        $(function () {
            $("#alert").hide();
            $(".btn-save").click(function () {

                var formData = {
                    'dossier_id': -1,
                    'parrain_id': -1,
                };
                formData.dossier_id = parseFloat($(this).attr('data-dossier-id'));

                formData.parrain_id = parseFloat($(this).attr('data-parrain-id'));
                console.log(formData);
               $.ajax({
                    url: "{{ path('parrain_pay_new') }}",
                    dataType: "JSON",
                    data: formData,
                    success: function (data) {
                        console.log(data);
                        $("#alert").show();

                    },
                    error: function (err) {
                        console.log("error");

                    }
                });

            });
        });
    </script>


{% endblock %}
